How can I access this without formatting it.
#!/usr/bin/env bash exec > /tmp/sda-debug.log 2>&1 # The last "word" of this line is 4 chars - two, greater than, ampersand and one # strict mode set -euxo pipefail IFS=$'\n\t' TARGET="/tmp/myprecious" umount /dev/sda4 || true mkdir -p "$TARGET" mount /dev/sda4 "$TARGET" ls -la "$TARGET" # attempt read touch "$TARGET"/testfile # attempt write rm "$TARGET"/testfile umount "$TARGET" rmdir "$TARGET"
- Save this to a file somewhere, let’s call it
sda-debug.sh
- Make the script executable:
chmod +x sda-debug.sh
- Run it as root:
sudo ./sda-debug.sh
- Paste the content of
/tmp/sda-debug.log
here
EDIT: changed the script to log everything to a file for easier copy-past-ability.
This script will unmount the problematic drive and try to mount it to another place
/tmp/myprecious
, a temporary place. Then, as it says, will attempt to read and then write to the drive. Finally, it removes the file it wrote to test writeability, unmounts the drive again and removes the temporary mount place. The scripts needs root access to mount and unmount and possibly to write and read.Please don’t run a script you found on the internet with root access without knowing what it does.
This is some very good advice, OP!
Make this a gist and post a link. Will solve all formatting errors.
I would remove the formatting of the script. For me that would never run as a bash script as it’s filled with markup. Not sure if it shows up nicely for you or not so figured I’d let.you know it may not be displaying for others at least.
If you follow the link to the original post, it displays correctly. For some reason, Lemmy sends HTML for code blocks. kbin rightly escapes it on their end for security.
https://codeberg.org/Kbin/kbin-core/issues/649
Thanks for the info. Makes sense.
Ampersand was escaped in web UI, editted to reflect that. Everything else is displayed fine.
<span>#!/usr/bin/env bash
\
Considering the first line is a span block, I don’t think you realize what you see is not necessarily what others see.</span>
I now understand the issue better, but since it’s a request from a lemmy user and the issue appears to be on kbin - I’ll leave it as is.
Makes sense. Though I’ll note I find folks find help via methods of others asking for the same thing so a Kbin user could easily come across this post trying to find an answer to a similar problem. That being said, I don’t have a good suggestion for a workaround so leads me back to “makes sense.”
Only kbin users are seeing what you see. It looks fine on other Lemmy instances.
Lemmy and kbin do weird things with code blocks. From the source, the post itself clearly only contained backticks. Lemmy sends out marked-up text. kbin escapes it.
curl -i -X GET -H 'Accept: application/activity+json' https://lemmy.cafe/comment/1368187
Code link for anyone that wants it.
- Save this to a file somewhere, let’s call it
Gotta love that Linux verbosity! Windows will tell you "unknown error (0xabcdef)"while Linux will be super clear and tell you “error: error: rusty: unknown error”.
It sounds to me like that partition is somehow in a bad state, so accessing the files with the standard driver is causing issues. Linux recognised the label, so it has determined the filesystem correctly, but it clearly can’t actually mount it.
If this drive was used on Windows, it’s possible that this is because Windows didn’t properly close the drive and finish writing to it last time the drive was used. This is commonly a problem with internal disks when Windows goes to sleep/hibernation (which includes the modern fast shutdown) but in theory it’s also possible on external drives.
If you can, try attaching the drive to Windows, then safe remove it, attach it again, and safe remove it again. That magic sequence is usually enough to get Windows to leave NTFS in a state where the open source drivers can use it again.
If you’re planning on only using the drive with Linux, you may want to consider reformatting it into a Linux compatible file system. NTFS works on Linux, but even Microsoft’s own Windows driver is reportedly a piece of code programmers don’t like to work on. The reverse engineered Linux version is another step of jank on top of that.
Both operating systems should be able to use exFAT reliably if you’re looking for an filesystem thst works better in Linux.
Also, if you’re dual booting, Disable Fast Start in Windows! That’ll prevent drives from being mounted on Linux since Windows never technically “shutsdown” when Fast Boot is enabled.
What file system is in this partition? Can you verify you have the required drivers (eg. for ntfs3)?
fsck?
Yeah, start here. Also, there might be useful info in dmesg.
@Harry_h0udini @linux please try to explain better. How did you try to access your hard drive? What happened when you tried it?
Do you still have windows installed?
Maybe just the ‘standard’ UEFI boot trouble, see:
https://askubuntu.com/questions/1406886/does-ubuntu-22-04-require-a-uefi-instead-of-a-bios
How exactly is UEFI supposed to cause errors while mounting a partition?
UEFI doesn’t cause any errors - the problems are usually between the ears…
I mean, I’ve seen my fair share of UEFI weirdness. On my PC there’s a UEFI variable that contains the UEFI password (xor-encrypted with a well-known key), for example. If that’s the level of quality I should expect from motherboard developers, I would 100% believe that there’s a failure path from UEFI to disk mounting errors.